<?php 
// Include main file
include_once('../libs/main.php');
// Check admin Login
include_once('checkLogin.php');
// Logical section of page
$appointmenttypeObj =  new  appointmenttype();

$adminlogObj = new admin_log();
$modulepagesObj = new module_pages();

$filename=basename($_SERVER['SCRIPT_FILENAME']);
if($filename == 'appointment_typelist.php')
{
    $module_id = $adminlogObj->getModuleId($filename);
    $page_id = $adminlogObj->getPageId($filename);
    $allpages = $modulepagesObj->fromId($page_id);
    $pagename = $allpages->page;

}

if(isset($_REQUEST['act']) && $_REQUEST['act']=='change_status' && isset($_REQUEST['appointmenttype_id'])){
    if(isset($_REQUEST['status'])){

            $appointmenttypeDetail = $appointmenttypeObj->fromId($_REQUEST['appointmenttype_id']);
            if($appointmenttypeDetail->appointmenttype_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($_REQUEST['status'] == '1')
            {
                $new_status = 'Active';
            }else{
                $new_status = 'Inactive';
            }

            $appointmenttypeObj->changeStatus($_REQUEST['appointmenttype_id']);

            $appointmenttype_detail = " <b>AppointmentType Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
            $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$appointmenttype_detail);
            echo RECORD_STATUS;
    }
        return true;
}

if(isset($_REQUEST['act']) && $_REQUEST['act']=='delete' && isset($_REQUEST['appointmenttype_id'])){
    $appointmenttypeObj->deleteFromId($_REQUEST['appointmenttype_id']);
    $successMsg = base64_encode(RECORD_DELETE);
}
if(isset($_REQUEST['action']) && $_REQUEST['action']!=''){
    if($_REQUEST['action']=="activate_all"){
        $data=array("appointmenttype_status" => '1');
        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $appointmenttypeObj->fromId($val_actchk);
            if($old_data->appointmenttype_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->appointmenttype_status != '1')
            {
                $new_status = 'Active';
                $appointmenttypedata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$appointmenttypedata);
            }
        }
        $rs = $appointmenttypeObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_ACTIVE);
    }else if($_REQUEST['action']=="inactivate_all"){
        $data=array("appointmenttype_status" => '0');

        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $appointmenttypeObj->fromId($val_actchk);
            if($old_data->appointmenttype_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->appointmenttype_status != '0')
            {
                $new_status = 'Inactive';
                $appointmenttypedata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$appointmenttypedata);
            }
        }

        $rs = $appointmenttypeObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_INACTIVE);
    }else if($_REQUEST['action']=="delete_all"){

        $chk_del = implode(",",$_POST['check']);
        
        $appointmenttypedata = " <b>Delete Id</b>: "." ".$chk_del;
        $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$appointmenttypedata);
        
        $rs = $appointmenttypeObj->deleteManyRecords($_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_DELETE);
    }
}
if (isset($_REQUEST['act']) && $_REQUEST['act']=='load'){
    $records = $_REQUEST['length'];
    $start=0;
    if(isset($_GET['start']) && $_GET['start']!='0'){
        $page = $_GET['start'];
    }
    $start=($page-1)*$limit;
    $limit = array('start'=>$_GET['start'],'record'=>$records);
    
    $where = " 1=1 ";
    if(isset($_REQUEST['appointmenttype_speciality_id']) && $_REQUEST['appointmenttype_speciality_id']!=""){
         $speciality_id = $_REQUEST['appointmenttype_speciality_id'];
         $where .= " and appointmenttype_speciality_id='".$speciality_id."' "; 
    }

    if(isset($_REQUEST['appointmenttype_speciality_name']) && $_REQUEST['appointmenttype_speciality_name']!=""){
         
         $where .= " and appointmenttype_name='".$_REQUEST['appointmenttype_speciality_name']."' "; 
    }

    if(isset($_REQUEST['appointmenttype_duration']) && $_REQUEST['appointmenttype_duration']!=""){
         
         $where .= " and appointmenttype_duration='".$_REQUEST['appointmenttype_duration']."' "; 
    }

    if(isset($_REQUEST['appointmenttype_status']) && $_REQUEST['appointmenttype_status']!=""){
         
         $where .= " and appointmenttype_status='".$_REQUEST['appointmenttype_status']."' "; 
    }

    if (isset($_REQUEST['search']['value']) && $_REQUEST['search']['value']!=""){
        $where .= " AND (appointmenttype_name LIKE '%".$_REQUEST['search']['value']."%' )";
    }    
        
    $orderFields = array('appointmenttype_id','appointmenttype_name');
    
    // Array of order by 
    $orderby=array();
    if (isset($_REQUEST['order']['0']['column']) && $_REQUEST['order']['0']['column']!=""){
        $orderby = array(" ".$orderFields[$_REQUEST['order']['0']['column']]." ".$_REQUEST['order']['0']['dir']);
    }else{
        $orderby = array(" appointmenttype_id desc ");
    }

    $data    = array('where' => $where,'orderBy'=>$orderby,'limit' => $limit);

    $appointmenttypeDetails = $appointmenttypeObj->getAllRecords($data);
    $recordsTotal   =   $appointmenttypeObj->getAllCount($data);

        
    if ($appointmenttypeDetails && count($appointmenttypeDetails)>0){
        foreach ($appointmenttypeDetails as $key => $appointmenttype){

            if($appointmenttype->appointmenttype_status =='1'){
              $status = '<a href="javascript:void(0)" onclick="change_status('.$appointmenttype->appointmenttype_id.',0)" title="Inactivate"><span class="badge badge-success">Active</span></a>';
            }else{
              $status = '<a href="javascript:void(0)" onclick="change_status('.$appointmenttype->appointmenttype_id.',1)" title="Activate"><span class="badge badge-danger">Inactive</span></a>';
            }

            $action = '<a href="appointment_typeadd.php?act=edit&appointmenttype_id='.$appointmenttype->appointmenttype_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>';

             $response[] = array('<input type="checkbox" name="check[]" id="check[]" value="'.$appointmenttype->appointmenttype_id.'" class="check_class" />',  
                 $appointmenttype->appointmenttype_name,
                 $appointmenttype->appointmenttype_duration,
                 "<div id='td_status_".$appointmenttype->appointmenttype_id."'>".$status."</div>",
                 $action
                );
        }
        $result=array('recordsFiltered'=>$recordsTotal,'recordsTotal'=>$recordsTotal,'data'=>$response);
    }else{
        $result=array('recordsFiltered'=>0,'recordsTotal'=>0,'data'=>array());
    }
    echo json_encode($result);
    exit;
}
$specialityObj = new speciality();
$allspecialities = $specialityObj->getAllRecords();
// Include Template 
include_once('../libs/routs.php')
?>